## qt3d-opensource-src 5.12.8+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 13:55:49 +0300

qt3d-opensource-src (5.12.5+dfsg-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:25 +0100
