=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

unstable_api = Animation Extras QuickAnimation QuickExtras

%:
	dh $@ --fail-missing --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private stuff
	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri

	# Also remove unstable API.
	set -e; for api in $(unstable_api); do \
		echo "Removing $$api stuff:" ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D$$api/ ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt53D$$api/ ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt53D$$api.prl ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt53D$$api.pc ; \
		rm -rfv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml/Qt3D/$$api.pc ; \
	done

	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake

	# Remove empty directories
	find $(CURDIR)/debian/tmp -type d -empty -delete

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif
endif

override_dh_auto_test-indep:
