## qt3d-opensource-src 5.14.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:16:18 +0300

qt3d-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Pass --fail-missing to dh_missing, not to all debhelper commands.
  * Call dh_link in the override, to make debian/qt3d5-doc-html.links working.
  * Make debian/qt3d5-dev.install explicitly list all headers.
  * Use debian/not-installed instead of removal commands in debian/rules.
  * Install headers for Qt 3D Animation and Extras modules (closes: #909306).
  * Add api argument to Qt3DWindow constructor, to make its signature match
    Qt 5.15 branch and to avoid breaking ABI in the future.
  * Update symbols files for the new version. Private symbols are now properly
    marked as such because QTBUG-74752 was fixed.
  * Mark two QChangeArbiter symbols as optional for GCC 10 (closes: #957728).
  * Drop unused ${shlibs:Depends} variable from qt3d5-dev package depends.
  * Update to debhelper compat level 12, use the new syntax.
  * Add Build-Depends-Package field to the symbols files.
  * Remove build paths from .prl files for reproducibility.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Apr 2020 17:20:20 +0300
