=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.12.8+dfsg~),
+               libqt5opengl5-dev (>= 5.14.2+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.8~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -302,8 +301,7 @@
          libqt53dquickscene2d5 (= ${binary:Version}),
          libqt53drender5 (= ${binary:Version}),
          qtbase5-dev,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Suggests: qt3d5-doc, qt3d5-doc-html
 Description: Qt 5 3D development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -342,3 +340,5 @@
 Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
+Description: Qt 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
