## qt3d-opensource-src 5.15.1%2Bdfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.1+dfsg-3+rpi1) bullseye-staging; urgency=medium

  * Update symbols file for raspbian.
  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 12 Nov 2020 12:19:45 +0000

qt3d-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Add a patch to disable tst_qtext2dentity::checkChangeArbiter() test on
    all OpenGL ES 2 environments, not just ANGLE (closes: #973440).
  * Add a patch to link the openglrenderer plugin with -latomic on riscv64.
  * Update debian/libqt53drender5.symbols for ppc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Oct 2020 21:03:47 +0300

qt3d-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:52:53 +0300

qt3d-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * Stop installing cmake files for the plugins.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update debian/copyright.
  * Remove qt3dwindow_constructor.diff, included in the new release.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop checking for nocheck option in test target, no longer needed.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update install files.
    - Install the OpenGL renderer plugin in libqt53drender5 package.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Sep 2020 13:40:51 +0300
