=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.14.2+dfsg~),
+               libqt5opengl5-dev (>= 5.15.1+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qtbase5-dev (>= 5.15.1+dfsg~),
+               qtbase5-private-dev (>= 5.15.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
