## qt3d-opensource-src 5.15.1.2%2Bdde

=== debian/changelog ===
qt3d-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.

  [ Debian Qt/KDE Maintainers ]
  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 16:38:55 +0800
