## qt3d-opensource-src 5.15.1.2+dde

=== debian/rules ===
--- 
+++ 
@@ -44,3 +44,5 @@
 endif
 
 override_dh_auto_test-indep:
+override_dh_dwz:
+	:
