## qt3d-opensource-src 5.15.2+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:28 +0300

qt3d-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt53drender5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Nov 2020 20:06:25 +0300
