=== debian/control ===
--- 
+++ 
@@ -8,23 +8,25 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.1~),
+               libqt5opengl5-dev (>= 5.15.2+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.1~),
-               qtbase5-private-dev (>= 5.15.1~),
-               qtdeclarative5-private-dev (>= 5.15.1~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -339,6 +341,3 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
-Depends: ${misc:Depends}
-Description: Qt 3D HTML documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
