## qt3d-opensource-src 5.15.3

=== debian/changelog ===
qt3d-opensource-src (5.15.3-1+dde) unstable; urgency=medium

  * New upstream release.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 01 Apr 2022 10:11:52 +0800
