=== debian/control ===
--- 
+++ 
@@ -12,21 +12,21 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.2+dfsg~),
+               libqt5opengl5-dev (>= 5.15.3~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
+               qtbase5-dev (>= 5.15.3~),
+               qtbase5-private-dev (>= 5.15.3~),
+               qtdeclarative5-private-dev (>= 5.15.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.3~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -341,3 +341,4 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}
