=== debian/changelog ===
qt3d-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Add one new symbol to debian/libqt53drender5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Mar 2022 16:46:35 +0300
