## qt3d-opensource-src 5.15.6+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:47 +0300

qt3d-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 14:02:58 +0300

qt3d-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 12:04:00 +0300

qt3d-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:10 +0300

qt3d-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:57:34 +0300
