=== debian/control ===
--- 
+++ 
@@ -1,35 +1,28 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Timo Jyrinki <timo@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
-           Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.6+dfsg~),
+               libqt5opengl5-dev (>= 5.15.7~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qtbase5-dev (>= 5.15.7~),
+               qtbase5-private-dev (>= 5.15.7~),
+               qtdeclarative5-private-dev (>= 5.15.7~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.7~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.7~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
 Package: libqt53dcore5
 Architecture: any
@@ -341,3 +334,9 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}
+Description: Qt 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 3D libraries.
